<?php
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

/**
 * Category left navigation
 *
 * @var $block \Magento\Catalog\Block\Navigation
 */
?>
<style type="text/css">
	.current {
		font-weight: 600;
		color: #222;
	}
</style>
<?php if (!$block->getCategory()) {
    return;
} ?>
<?php
	if($block->getCategory()->getData('is_anchor')){
		$clsname = 'anchor';
	}else{
		 $clsname = 'not-anchor';
		}
	?>
<?php //$_categories = $block->getCurrentChildCategories(); ?>

<?php
    $objectManager = \Magento\Framework\App\ObjectManager::getInstance();
    $catId = 428;  //Parent Category ID
    $subCategory = $objectManager->create('Magento\Catalog\Model\Category')->load($catId);
    $_categories = $subCategory->getChildrenCategories();
    $_helper = $this->helper('Magento\Catalog\Helper\Output');

    $currentCategory = $block->getCurrentCategory();
?>
<?php //$_categories = $block->getRootChildCategories(275); ?>
<?php $_count = is_array($_categories) ? count($_categories) : $_categories->count(); ?>
<?php if ($_count): ?>
    <div class="block filter <?php echo $clsname; ?>">
		<div class="block-title filter-title">
			<strong id="open-filter" class="title"><span class="icon pe-7s-edit"></span></strong>
        </div>
		<div class="block-content filter-content">
			<h3 class="close-filter-fixed">
				<?php echo __('Filter'); ?>
				<button id="close-filter"><i class="close-filter pe-7s-close pa"></i></button>
			</h3>
			<div class="block-filter-content content">
				<div class="options filter-options-item" id="narrow-by-list2">
					<div class="filter-options-title"><?php /* @escapeNotVerified */ echo __('Browse by Category') ?></div>
					<div class="filter-options-content">
						<ol class="items">
							<?php foreach ($_categories as $_category): ?>
								<?php if ($_category->getIsActive()): ?>
									<li class="item">
										<a href="<?php /* @escapeNotVerified */ echo $block->getCategoryUrl($_category) ?>"<?php if ($block->isCategoryActive($_category)): ?> class="current"<?php endif; ?>><?php echo $block->escapeHtml($_category->getName()) ?></a>
										<span class="count"><?php /* @escapeNotVerified */ echo $_category->getProductCount() ?></span>
									</li>
								<?php endif; ?>
							<?php endforeach ?>
						</ol>
					</div>
				</div>
			</div>
		</div>
        <script type="text/javascript">
            require([
                'jquery'
            ], function(jQuery){
                (function($) {
                    $(document).ready(function(){
                        $('#open-filter').click(function(){
                            $('.block.filter').toggleClass('active');
                        });
                    });
                })(jQuery);
            });
        </script>
    </div>
<?php endif; ?>
